--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;

function ShowHelp:updateTick(dt)
end;

function ShowHelp:draw()
		setTextAlignment(RenderText.ALIGN_LEFT) 
		setTextColor(1, 1, 1, 1) 
	if not self.showHelp then
		renderText(0.70, 0.17, 0.018, "Numpad Enter: Info");
	else
		renderText(0.70, 0.86, 0.022, "Mtz 50 V4");			
		renderText(0.70, 0.81, 0.02, "Numpad 7: Bal ajto nyitasa");
		renderText(0.70, 0.79, 0.02, "Numpad 9: Jobb ajto nyitasa");			
		renderText(0.70, 0.77, 0.02, "Numpad 8: Motorhazteto nyitasa");
		renderText(0.70, 0.75, 0.02, "Numpad 4: Bal ablak nyitasa");
		renderText(0.70, 0.73, 0.02, "Numpad 5: Hatso ablak nyitasa");
		renderText(0.70, 0.71, 0.02, "Numpad 6: Jobb ablak nyitasa");
		renderText(0.70, 0.69, 0.02, "Numpad 1: Bal index");
		renderText(0.70, 0.67, 0.02, "Numpad 2: Elakadas jelzo");
		renderText(0.70, 0.65, 0.02, "Numpad 3: Jobb index");
		renderText(0.70, 0.63, 0.02, "Numpad 0: Hatsomunkalampa");
		renderText(0.70, 0.61, 0.02, "Bal Shift: Valtas Fel");
		renderText(0.70, 0.59, 0.02, "Bal Ctrl: Valtas Le");
		renderText(0.70, 0.57, 0.02, "Jobb Shift: Iranyvaltas");
		renderText(0.70, 0.55, 0.02, "Jobb Ctrl: Kormany mozgasa");
		renderText(0.70, 0.53, 0.02, "Z : Inditas ");
		renderText(0.70, 0.51, 0.02, "(2x kell megnyomni)");
	        renderText(0.70, 0.18, 0.02, "By:earl");

	
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;
